/*

Copyright (C) 2016,2017 wallzero 2016,2017

This program is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software Foundation,
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this
program. If not, see <http://www.gnu.org/licenses/>.

*/

/*
  eslint-disable
  import/unambiguous,
  import/no-commonjs,
  import/no-dynamic-require,
  global-require,
  no-undef
*/

const {babel} = require('@digest/scripts/src/config.js');

const PROJECT_NAME = 'digest-[local]';

let babelConfig;

let cssModulesPlugin;

beforeAll(() => {
  jest.resetModules();
  process.env = { // eslint-disable-line no-process-env
    CSS_MODULES: 'true',
    LIBRARY: 'true'
  };

  if (babel) {
    babelConfig = require(babel)();
  }

  cssModulesPlugin = babelConfig.plugins.find((preset) => {
    return Array.isArray(preset) && preset[0] === 'babel-plugin-react-css-modules';
  })[1].generateScopedName;
});

describe('Webpack cssModules settings for library on', () => {
  test('default project name', () => {
    expect(cssModulesPlugin).toEqual(PROJECT_NAME);
  });
});
